EogTransform
3
EOG Library

# EogTransform

## Synopsis

    enum                EogTransformType;
                        EogTransform;
    GdkPixbuf*          eog_transform_apply                 (EogTransform *trans,
                                                             GdkPixbuf *pixbuf,
                                                             EogJob *job);
    EogTransform*       eog_transform_reverse               (EogTransform *trans);
    EogTransform*       eog_transform_compose               (EogTransform *trans,
                                                             EogTransform *compose);
    gboolean            eog_transform_is_identity           (EogTransform *trans);
    EogTransform*       eog_transform_identity_new          (void);
    EogTransform*       eog_transform_rotate_new            (int degree);
    EogTransform*       eog_transform_flip_new              (EogTransformType type);
    EogTransform*       eog_transform_scale_new             (double sx,
                                                             double sy);
    EogTransform*       eog_transform_new                   (EogTransformType trans);
    EogTransformType    eog_transform_get_transform_type    (EogTransform *trans);

## Object Hierarchy

      GObject
       +----EogTransform

## Description

## Details

### enum EogTransformType

    typedef enum {
    	EOG_TRANSFORM_NONE,
    	EOG_TRANSFORM_ROT_90,
    	EOG_TRANSFORM_ROT_180,
    	EOG_TRANSFORM_ROT_270,
    	EOG_TRANSFORM_FLIP_HORIZONTAL,
    	EOG_TRANSFORM_FLIP_VERTICAL,
    	EOG_TRANSFORM_TRANSPOSE,
    	EOG_TRANSFORM_TRANSVERSE
    } EogTransformType;

### EogTransform

    typedef struct _EogTransform EogTransform;

### eog_transform_apply ()

    GdkPixbuf*          eog_transform_apply                 (EogTransform *trans,
                                                             GdkPixbuf *pixbuf,
                                                             EogJob *job);

`trans` :

`pixbuf` :

`job` :

Returns :

### eog_transform_reverse ()

    EogTransform*       eog_transform_reverse               (EogTransform *trans);

`trans` :

Returns :

### eog_transform_compose ()

    EogTransform*       eog_transform_compose               (EogTransform *trans,
                                                             EogTransform *compose);

`trans` :

`compose` :

Returns :

### eog_transform_is_identity ()

    gboolean            eog_transform_is_identity           (EogTransform *trans);

`trans` :

Returns :

### eog_transform_identity_new ()

    EogTransform*       eog_transform_identity_new          (void);

Returns :

### eog_transform_rotate_new ()

    EogTransform*       eog_transform_rotate_new            (int degree);

`degree` :

Returns :

### eog_transform_flip_new ()

    EogTransform*       eog_transform_flip_new              (EogTransformType type);

`type` :

Returns :

### eog_transform_scale_new ()

    EogTransform*       eog_transform_scale_new             (double sx,
                                                             double sy);

`sx` :

`sy` :

Returns :

### eog_transform_new ()

    EogTransform*       eog_transform_new                   (EogTransformType trans);

`trans` :

Returns :

### eog_transform_get_transform_type ()

    EogTransformType    eog_transform_get_transform_type    (EogTransform *trans);

`trans` :

Returns :